## moblin-keyboard-manager 0.4

=== Makefile ===
all:	libkeyboard.so

libkeyboard.so:	libkeyboard.c
	gcc -fPIC -shared `pkg-config --cflags --libs gtk+-2.0 libhildondesktop libosso` -L/lib -lexpat \
	libkeyboard.c -o libkeyboard.so

install:	all
	echo "nothing to do"	
clean:
	rm -rf *.o *.so *~

show:
	export DBUS_SESSION_BUS_ADDRESS=unix:path=/tmp/session_bus_socket
	dbus-send --session --type=method_call \
	--dest=com.nokia.statusbar /com/nokia/statusbar \
	com.nokia.statusbar.event \
	string:battery int32:1 int32:0 string:

move:
	export DBUS_SESSION_BUS_ADDRESS=unix:path=/tmp/session_bus_socket
	dbus-send --session --type=method_call \
	--dest=com.nokia.statusbar /com/nokia/statusbar \
	com.nokia.statusbar.event \
	string:battery int32:0 int32:0 string:

=== debian/changelog ===
moblin-keyboard-manager (0.4) gutsy; urgency=low

  * It's moblin-keyboard-manager, not matchbox-keyboard-manager, rename
    again.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 26 Jul 2007 20:47:11 +0200

matchbox-keyboard-manager (0.3) gutsy; urgency=low

  [ Jian Han ]
  * add feature of menu configuration

  [ Tollef Fog Heen ]
  * Rename package to matchbox-keyboard-manager
  * Add conflicts and replaces on matchbox-keyboard-toggler.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 26 Jul 2007 17:14:20 +0200

matchbox-keyboard-toggler (0.2) gutsy; urgency=low

  * Update rules for matchbox-keyboard-toggler package.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 20 Jul 2007 19:34:59 +0200

matchbox-keyboard-toggler (0.1) gutsy; urgency=low

  * Initial release.
  * Get rid of useless configure target in rules file.
  * Set section to utils.
  * Add missing space in build-depends line.
  * Update description.
  * Set maintainer to be ubuntu-mobile.
  * Add dependency on matchbox-keyboard
  * Rename package to matchbox-keyboard-toggler
  * Add missing -fPIC to compile flags.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 20 Jul 2007 10:46:12 +0200

=== debian/control ===
Source: moblin-keyboard-manager
Section: utils
Priority: extra
Maintainer: Ubuntu Mobile <ubuntu-mobile@lists.ubuntu.com>
XSBC-Original-Maintainer: han jian <jian.han@intel.com>
Build-Depends: debhelper (>= 5), libosso-dev, libhildondesktop-dev, libhildondesktop0, libdbus-glib-1-dev 
Standards-Version: 3.7.2

Package: moblin-keyboard-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, matchbox-keyboard
Replaces: matchbox-keyboard-toggler
Conflicts: matchbox-keyboard-toggler
Description: Hildon plugin for toggling the matchbox keyboard
 This is a small utility used for showing and hiding the matchbox
 on-screen keyboard.  It is a plugin for the Hildon framework used for
 Ubuntu Mobile and is not particularly useful if you are not running a
 hildon desktop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/libkeyboard.sgml > libkeyboard.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/matchbox-keyboard-toggle.
	$(MAKE) DESTDIR=$(CURDIR)/debian/moblin-keyboard-manager install

	install -D -m 644 $(CURDIR)/libkeyboard.so \
                $(CURDIR)/debian/moblin-keyboard-manager/usr/lib/hildon-status-bar/libkeyboard.so
	install -D -m 644 $(CURDIR)/hildon-status-bar-keyboard.desktop \
                $(CURDIR)/debian/moblin-keyboard-manager/usr/share/applications/hildon-status-bar/hildon-status-bar-keyboard.desktop
	install -D -m 644 $(CURDIR)/libkeyboard.png \
                $(CURDIR)/debian/moblin-keyboard-manager/usr/share/pixmaps/libkeyboard.png
	install -D -m 644 $(CURDIR)/menu.xml \
		$(CURDIR)/debian/moblin-keyboard-manager/usr/share/moblin-keyboard-manager/menu.xml


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
